import Vuex from 'vuex';
import { injectUtil } from './utils';
export function install(vue, options) {
    vue.use(Vuex);
    vue.mixin({
        beforeCreate() {
            let container;
            if (this.$store) {
                const storeBuilder = this.$store.__storeBuilder__;
                container = storeBuilder ? storeBuilder.container : undefined;
            }
            injectUtil.injectAll(this, container);
        }
    });
}
//# sourceMappingURL=install.js.map